List all assignments for a human review task - SuperAI Flows
List all assignments for a human review task
cURL
curl --request GET \
--url https://flows.super.ai/api/human-review-tasks/{task_id}/assignments \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'
import requests
url = "https://flows.super.ai/api/human-review-tasks/{task_id}/assignments"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://flows.super.ai/api/human-review-tasks/{task_id}/assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Example Response
[
{
"created_at": "2023-11-07T05:31:56Z",
"human_review_task_id": "550e8400-e29b-41d4-a716-446655440000",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modified_by": "<string>",
"organization_id": "550e8400-e29b-41d4-a716-446655440000",
"status": "pending",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"started_at": "2024-01-01T00:00:00Z",
"user": {
"created_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>",
"modified_by": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>",
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
}
]
Authorizations
X-API-Key: string, required, header, API key authentication. Include your API key in the X-API-Key header as:
X-API-Key YOUR_API_KEYAuthorization: string, required, header, JWT Bearer token authentication. Include your access token in the Authorization header as:
Bearer YOUR_ACCESS_TOKEN
Path Parameters
- task_id: string, required
Query Parameters
- include_user_info: boolean, default:false, Whether to include full user information in the response.